Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface SecurityIdentityType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  SecurityIdentityTypeImpl

    public interface SecurityIdentityType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `security-identityType` xsd type

Original Documentation:

The security-identity element specifies whether a specific run-as identity
is to be used. If there is a run-as role defined for an enterprise bean, there can also be a
run-as-principal define here. If you don't define a run-as principal the callee will see
ctx.getCallerPrincipal() == 'anonymous' Used in: entity, message-driven, session

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRunAsPrincipal()` Returns the `run-as-principal` element
`java.lang.Boolean` | `isUseCallerIdentity()`
`SecurityIdentityType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityIdentityType<T>` | `removeRunAs()` Removes the `run-as` element
`SecurityIdentityType<T>` | `removeRunAsPrincipal()` Removes the `run-as-principal` element
`RunAsType<SecurityIdentityType<T>>` | `runAs()` If not already created, a new `run-as` element will be created and returned.
`SecurityIdentityType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityIdentityType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityIdentityType<T>` | `setRunAsPrincipal(java.lang.String runAsPrincipal)` If not already created, a new `run-as-principal` element with the given value will be created.
`SecurityIdentityType<T>` | `useCallerIdentity()`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    SecurityIdentityType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `SecurityIdentityType`

### setDescriptionList

    SecurityIdentityType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityIdentityType`

### removeAllDescription

    SecurityIdentityType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `SecurityIdentityType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setRunAsPrincipal

    SecurityIdentityType<T> setRunAsPrincipal(java.lang.String runAsPrincipal)

  If not already created, a new `run-as-principal` element with the given value will be created. Otherwise, the existing `run-as-principal` element will be updated with the given value.

  Returns:
    the current instance of `SecurityIdentityType`

### removeRunAsPrincipal

    SecurityIdentityType<T> removeRunAsPrincipal()

  Removes the `run-as-principal` element

  Returns:
    the current instance of `SecurityIdentityType`

### getRunAsPrincipal

    java.lang.String getRunAsPrincipal()

  Returns the `run-as-principal` element

  Returns:
    the node defined for the element `run-as-principal`

### useCallerIdentity

    SecurityIdentityType<T> useCallerIdentity()

### isUseCallerIdentity

    java.lang.Boolean isUseCallerIdentity()

### removeRunAs

    SecurityIdentityType<T> removeRunAs()

  Removes the `run-as` element

  Returns:
    the current instance of `SecurityIdentityType`

### runAs

    RunAsType<SecurityIdentityType<T>> runAs()

  If not already created, a new `run-as` element will be created and returned. Otherwise, the existing `run-as` element will be returned.

  Returns:
    the node defined for the element `run-as`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD